<?xml version="1.0" standalone="no"?>

<!-- $Id$ -->

<!DOCTYPE UserInterface SYSTEM "http://www.upb.de/cs/fujaba/DTDs/UserInterface.dtd">


<UserInterface>
   <!-- **************************** List Actions here ********************** -->
   <Action id="runedobs" class="de.uni_kassel.edobs.fujaba.actions.RunDobsAction" enabled="true">
      <Name>Generate - Compile - eDOBS</Name>
      <Mnemonic>o</Mnemonic>
      <ToolTip>Generate code, compile code and start eDOBS</ToolTip>
      <Icon>de/uni_kassel/edobs/fujaba/images/edobs.png</Icon>
   </Action>

   <Action id="edobsAst" class="de.uni_kassel.edobs.fujaba.actions.DobsASTAction" enabled="true">
     <Name>Start eDOBS on AST</Name>
     <Mnemonic>A</Mnemonic>
     <ToolTip>Start eDOBS to inspect the abstract syntax graph.</ToolTip>
     <Icon>de/uni_kassel/edobs/fujaba/images/fujabaedobs.gif</Icon>
   </Action>

   <Action id="edobsDG" class="de.uni_kassel.edobs.fujaba.actions.DobsDGAction" enabled="true">
     <Name>Start eDOBS on DG</Name>
     <Mnemonic>D</Mnemonic>
     <ToolTip>Start eDOBS to inspect the display graph of Fujaba.</ToolTip>
     <Icon>de/uni_kassel/edobs/fujaba/images/houseflygrey.gif</Icon>
   </Action>
   
   <!-- **************************** Define MenuBar here ********************** -->

   <MenuBar id="mainMenuBar">
      <MenuSection id="importExportMenuSection">
      <Menu id="importExportMenu">
        <MenuSection id="testSection">
          <MenuItem actionId="runedobs"/>
        </MenuSection>
      </Menu>
      </MenuSection>
   </MenuBar>

   <!-- **************************** List PopupMenus here ********************** -->
   <!-- **************************** List ToolBars here ********************** -->

   <ToolBar id="mainToolBar" rolloverButtons="true" visible="true">
     <ToolBarSection id="displaySection">
       <Button actionId="edobsAst"/>
     </ToolBarSection>
      <ToolBarSection id="test">
         <Button actionId="runedobs"/>
      </ToolBarSection>
   </ToolBar>

</UserInterface>

<!--
$Log$
Revision 1.3  2006/11/14 18:59:34  l3_g5
added nice icons

Revision 1.2  2005/12/21 12:14:44  l3_g5
eDOBS works with Fujaba 4+5

Revision 1.1  2005/10/25 13:10:42  l3_g5
edobs lib and edobs plugin for fujaba

Revision 1.22  2004/01/20 17:33:35  zuendorf
Dobs redraw tuned. -f Option re-enabled. Some NullPointers caught.

Revision 1.21  2003/08/15 11:19:42  geiger
moved Dobs menu to Dobsstable.xml


-->




